<form class="{{cssClass}} flexcol sheet-bg" autocomplete="off">
  
  {{!-- Sheet Header --}}
  <header class="sheet-header">
    <div class="grid grid-2col">
      
      <div class="header-fields">
        
        <h1 class="flex-group-center">PASAPORTE</h1>
        <div class="grid grid-3col">
          <div class="abilities flexcolumn flex-group-center">
            <label class="resource-label">· Atributos ·</label>
            {{#each data.abilities as |ability key|}}
            <div class="ability flexrow flex-group-center">
              <label for="data.abilities.{{key}}.value" class="resource-label">{{toUpperCase (localize (concat 'VEPULP.' key))}}</label>
              <input type="text" name="data.abilities.{{key}}.value" value="{{ability.value}}" data-dtype="Number"/>
              <span class="ability-mod rollable" data-roll="@abilities.{{key}}.mod" data-label="{{key}}">{{numberFormat ability.mod decimals=0 sign=true}}</span>
              <span class="ability-mod rollable" data-roll="@abilities.{{key}}.mod+@attributes.ins.value"><img class="ins-img" src="icons/svg/skull.svg"/></span>
            </div>
            {{/each}}
          </div>
          
          <div class="attributes flexcolumn flex-group-center">
            <label class="resource-label">· Rasgos ·</label>
            {{#each data.attributes as |attribute key|}}
            
            <div class="ability flexrow flex-group-center">
              <label for="data.attributes.{{key}}.value" class="resource-label {{key}}" data-roll="@attributes.atq.value">{{toUpperCase (localize (concat 'VEPULP.' key))}}</label>
              <input type="text" name="data.attributes.{{key}}.value" value="{{attribute.value}}" data-dtype="Number"/>
              {{#if attribute.max}}/<input type="text" name="data.attributes.{{key}}.max" value="{{attribute.max}}" data-dtype="Number"/>{{/if}}
            </div>
            {{/each}}
            
          </div>
          <div class="skills flexcolumn flex-group-left">
            <label class="resource-label">· Habilidades ·</label>                          
            {{#each data.skills as |skill key|}}
            <div class="skills flexrow flex-group-center">
              <span class="ability-mod rollable" data-roll="@skills.{{key}}.value" data-label="{{key}}">
                <div class="flexcolumn">
                  <label for="data.skills.{{key}}.value" class="resource-label">{{localize (concat 'VEPULP.' key)}}</label>
                </div>
              </span>
              <div class="flexcolumn">
                <input type="text" name="data.skills.{{key}}.value" value="{{skill.value}}" data-dtype="Number"/>
              </div>
              
            </div>
            {{/each}}
          </div>
        </div>
      </div>
      <div class="flexcolumn">
        <div class="nacion">
        <span>Nacionalidad:</span>
      </div>
      
        <div class="flexrow">
          <div class="grid grid-2col">
            <div class="flexcolumn">
              <div class="profile-img-bg">
                <img class="profile-img" src="{{actor.img}}" data-edit="img" title="{{actor.name}}" height="100" width="100"/>
                <div class="stamp"/>
              </div>
            </div>
          </div>
          <div class="flexcolumn">
            <div class="flexrow">
              <label class="resource-label">Nombre</label>
            </div>
            <div class=flexrow>
              <h1 class="charname"><input name="name" type="text" value="{{actor.name}}" placeholder="Name"/></h1>
            </div>                                                 
            <div class="detail flexrow flex-group-center">
              <div class="grid grid-3col">
                <div class="flexcolumn">
                  <label class="resource-label">Level</label>
                  <input type="text" name="data.details.level.value" value="{{data.details.level.value}}" data-dtype="Number"/>
                </div>
                <div class="flexcolumn">
                  <label class="resource-label">XP</label>
                  <input type="text" name="data.details.xp.value" value="{{data.details.xp.value}}" data-dtype="Number"/>
                </div>
                <div class="flexcolumn">
                  <label class="resource-label">Age</label>
                  <input type="text" name="data.details.age.value" value="{{data.details.age.value}}" data-dtype="Number"/>
                </div>  
              </div>
            </div>
            <div class="flexrow">
              <label class="resource-label">{{localize "VEPULP.class"}}</label>                            
            </div>
            <div class="flexrow">
              <div class="form-group">
                <select name="data.class.value" id="value">                                  
                  {{#select data.class.value}}
                  <!-- {{#each data.classes as |cl key|}}
                    <option value={{key}}>{{key}}</option>
                    {{/each}}                                    -->
                    <option value="ayudante">Ayudante</option>
                    <option value="buscavidas">Buscavidas</option>
                    <option value="investigador">Investigador</option>
                    <option value="mecenas">Mecenas</option>
                    <option value="tipo duro">Tipo duro</option>
                    <option value="trotamundos">Trotamundos</option>

                    {{/select}}
                  </select>
                </div>
              </div>
                  <div class="flexrow firma">
                    firma
                  </div> 
            </div>
                                     
          </div>
          
        </div>  
      </div>
    </div>
  </div>
</div>
</header>

{{!-- Sheet Tab Navigation --}}

{{!-- Sheet Body --}}
<section class="sheet-body">    
  <div class="grid grid-2col">
    <div class="flexcolumn">
      <nav class="sheet-tabs tabs" data-group="primary">
        
        <a class="item" data-tab="gear">Equipo</a> 
        <a class="item" data-tab="weapons">Armas</a>
        
        <!-- <a class="item" data-tab="background">Trasfondo</a> -->
      </nav>      
      <div class="tab weapons" data-group="primary" data-tab="weapons">
        <ol class="filter-list" data-filter="weapon">
          <li class="filter-item flexrow item-header" data-filter="weapon">
            <div class="item-image"></div>
            <div class="item-name">Name</div>
            <div class="item-controls">
              <a class="item-control item-create" title="Create item" data-type="weapon"><i class="fas fa-plus"></i> Add item</a>
            </div>
          </li>
          {{#each actor.weapon as |item id|}}
          <li class="item flexrow" data-item-id="{{item._id}}">
            <div class="item-image"><img src="{{item.img}}" title="{{item.name}}" width="24" height="24"/></div>
            
            <span class="ability combat" data-roll="{{item.data.item.weapon.damage}}" data-label="{{item.data.item.weapon.damage}}">{{item.name}} {{item.data.item.weapon.damage}}</span>

            <div class="item-controls">
              <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a>
              <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
            </div>
          </li>
          {{/each}}
        </ol>
      </div>
      <div class="tab gear" data-group="primary" data-tab="gear">
        <ol class="filter-list" data-filter="item">
          <li class="filter-item flexrow item-header" data-filter="item">
            <!-- <div class="item-image"></div> -->
            <div class="item-name">Name</div>
            <div class="item-controls">
              <a class="item-control item-create" title="Create item" data-type="item"><i class="fas fa-plus"></i> Add item</a>
            </div>
          </li>
          {{#each actor.item as |item id|}}
          <li class="item flexrow" data-item-id="{{item._id}}">
            <!-- <div class="item-image"><img src="{{item.img}}" title="{{item.name}}" width="24" height="24"/></div> -->
            <h4 class="item-name background">{{data.quantity}}       {{item.name}} </h4>
            <div class="item-controls">
              <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a>
              <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
            </div>
          </li>
          {{/each}}
        </ol>
      </div>
    </div>
    
    <div class="flexcolumn">
      
      <div class="separator">
        <span>Talentos:</span>
      </div>
      <div class="flexrow">
        <div class="talents data-group="primary" data-tab="talents">
          <ol class="filter-list" data-filter="talent">
            <!-- <li class="item flexrow" data-item-id="{{item._id}}">TALENTOS</li> -->
            {{#each actor.talent as |item id|}}
            <li class="item flexrow" data-item-id="{{item._id}}">
              <div class="item-controls">
                <h4 class="item-name">{{item.name}}:{{strip data.description}}</h4>
                <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a>
                <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
              </div>
            </li>
            {{/each}}
          </ol>
        </div>
      </div>
      <div class="flexrow">
        <div class="background data-group="primary" data-tab="background">
          <div class="separator"><span">Transfondo</span></div>
          <!-- {{editor content=data.details.background target="data.details.background" button=true owner=owner editable=editable}}          -->
          <textarea class="background" type="text" name="data.background" value="{{data.background}}">{{data.background}}</textarea>
        </div>
      </div>
    </div>
  </div>    
  
</section>

</form>

